    # File lib/chef/resource.rb, line 106
        def initialize(name, run_context=nil)
          @name = name
          @run_context = run_context
          @noop = nil
          @before = nil
          @params = Hash.new
          @provider = nil
          @allowed_actions = [ :nothing ]
          @action = :nothing
          @updated = false
          @updated_by_last_action = false
          @supports = {}
          @ignore_failure = false
          @retries = 0
          @retry_delay = 2
          @not_if = []
          @only_if = []
          @immediate_notifications = Array.new
          @delayed_notifications = Array.new
          @source_line = nil

          @node = run_context ? deprecated_ivar(run_context.node, :node, :warn) : nil
        end